AgentConnect
Organization knowledge

Accept or reject one Dream suggestion

Records an owner decision; acceptance requires the exact token returned during inspection.

POST
/v1/orgs/{orgId}/knowledge-suggestions/{id}/review

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/knowledge-suggestions/string/review" \  -H "Content-Type: application/json" \  -d '{    "decision": "accept",    "snapshotToken": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "sourceAgentId": "6d8f542a-28ef-4bff-8b67-d79657ba1d03",  "sourceAgentName": "string",  "sourceDaemonId": "string",  "dreamId": "string",  "candidateId": "10f4deb6-fd4e-4907-a47e-355caf6e449d",  "kind": "knowledge",  "operation": "create",  "targetArtifactId": "string",  "targetRevision": -9007199254740991,  "title": "string",  "summary": "string",  "tags": [    "string"  ],  "digest": "string",  "contentBytes": 0,  "sessionIds": [    "string"  ],  "state": "pending",  "contentAvailable": true,  "reviewedAt": "string",  "reviewReason": "string",  "acceptedArtifactId": "string",  "acceptedArtifactRevision": -9007199254740991,  "createdAt": "string",  "updatedAt": "string"}